declare class Element {
    _elCanvasTextWidth: any;
    constructor();
    private _getArrClassBySplit;
    private _getClasssByReal;
    onListener(element: any, eventName: string, eventFun: any, useCapture?: boolean): void;
    offListener(element: any, eventName: string, eventFun: any, useCapture?: boolean): void;
    getTextWidth(text: string, font?: string): number;
    /** 添加class */
    getAddClass(...classs: any): any;
    /** 移除class */
    getRemoveClass(classTotal: string, classs: string): string;
    checkHasClass(classTotal: string, className: string): boolean;
    /** 指定元素距离窗口信息 */
    private _getBoundingClientRect;
    private _getWindow;
    isElementHtml(el: any): boolean;
    isElementBody(el: any): boolean;
    getWinScrollTop(): number;
    getWinWidth(): number;
    getWinHeight(): number;
    /**
     * 获取元素的css
     * @param el
     * @returns
     */
    getStyle(el: any): any;
    private _isElementScroll;
    isHidden(element: any): boolean;
    isHiddenParent(element: any): boolean;
    /**
     * 获取上级元素,并检查parent包含el且parent非body
     * @param el 指定元素
     * @param parent 指定上级,可为string[#(id),.(class),tagName] || element; 为空时默认el.parentNode
     * @returns parentElement。当检查parentElement为body或者parent不包含el时,返回null
     */
    getParentCheckBody(el: any, parent: any, isCheckContains?: boolean): any;
    /**
    * 获取上级元素
     * @param el 指定元素
     * @param parentAttr 指定上级,可为string[#(id),.(class),tagName]; 为空时默认el.parentNode
     * @param elUpperLimit 非必传，设置该参数时，如果在parentAttr参数之前匹配上设置值 则直接返回
     * @param isLimitReturnSelf 截止到elUpperLimit时 未匹配上parentAttr 是否返回 elUpperLimit
     * @returns parentElement
     */
    getParent(el: any, parentAttr: any, elUpperLimit?: any, isLimitReturnSelf?: boolean): any;
    /**
     * 获取所有上级元素
     * @param el 指定元素
     * @param parentAttr 指定上级,可为string[#(id),.(class),tagName]; 为空时默认el.parentNode
     * @returns list[parentElement]
     */
    getParentList(el: any, parentAttr: any): any[];
    private _recursionParents;
    getParentScrollList(el: any, parentAttr: any, isContainsSelf?: boolean): any[];
    /**
     * 根据attr检查元素信息
     * @param el
     * @param attr
     * @returns true/false
     */
    private _checkElementByAttr;
    /**
     * 获取元素到窗体 偏移量
     * @param el 指定元素
     * @param viewEl 指定窗体,为空时默认window
     * @returns json { top，left }
     */
    getOffset(el: any, viewEl?: any): {
        top: number;
        left: number;
    };
    /**
     * 获取元素相对指定容器的相对偏移
     * @param el 指定元素
     * @param viewEl 指定容器,为空时默认window
     * @returns json {top,left,viewEl}
     */
    getPositionView(el: any, viewEl?: any): any;
    /**
     * 获取元素相对指定容器的相对偏移
     * @param el 指定元素
     * @param parentAttr 指定窗体,为空时默认parentNode
     * @returns json
     */
    getPosition(el: any, parentAttr?: any): any;
    getElementIndex(el: any): any;
    getPrev(el: any): any;
    getPrevAll(el: any): any;
    getNext(el: any): any;
    insertAfter(targetEl: any, newEl: any): void;
    getFocusSelection(targetEl: any): any;
    setFocusSelection(el: any, start: number, end: number): void;
    calculationDropdownPosition(controlEl: any, textEl: any, dropDownEl: any, arrowEl: any, containerEl: any): any;
    getElementData(json: any): any;
    getTextDataByFile(files: any): Promise<any>;
    private _getTextDataFileOne;
    getClientXY(e: Event | MouseEvent | TouchEvent): {
        clientX: number;
        clientY: number;
    };
}
declare const _default: Element;
export default _default;
